#!/bin/sh
echo 'Testing library ...'
echo -n "-> "
lua -e 'print(require("luacv"))'
echo 'Trying to run sample script ...'
echo -n "-> "
./samples/drawing.lua
if [ "$?" == 0 ]; then 
  echo "Seems to be running fine."
  echo "You can go to $PWD/samples to see more of demo scripts."
else
  echo "Some errors ocured."
  echo "If you see this message, please send me email at jiri<dot>prymus<at>gmail<dot>com with description/output."
fi
